<div class="conversation" [ngClass]="{'is-deployed': isDeployed}">
  <div class="conversation-header">
    <span class="header-title" (click)="toggleConversation()">{{conversation?.name}}</span>
    <button mat-dialog-close>
      <i class="fas fa-times icon"></i>
    </button>
  </div>
  <div class="conversation-content">
    <ul class="content-messages">
      <li class="item-message" [ngClass]="{'is-self': message.User.id === authService.user.id}" *ngFor="let message of conversation?.messages">
        <span class="message-name">{{message.User.firstName}}</span>
        <span class="message-text">{{message.Message}}</span>
      </li>
    </ul>
  </div>
  <div class="conversation-footer">
    <form class="footer-input">
      <input class="input-text" type="text" name="Message" [(ngModel)]="newMessage.Message">
      <label class="input-submit" for="submit"><i class="far fa-paper-plane"></i></label>
      <input type="submit" hidden id="submit" (click)="sendMessage()">
    </form>
  </div>
</div>
